@import "config";
@import "media";


main {
    .sub-main {
        background-image: url('../img/page-login-background.jpg');
        background-size: cover;

        .background {
            display: flex;
            align-items: center;
            justify-content: center;
            flex-grow: 1;
            background: linear-gradient(180deg, rgba(2, 1, 1, 0) 0%, rgba(2, 1, 1, 1) 100%);
        }
    }
}

.box {
    border: 1px solid #FFFFFF;
    border-radius: $border-large-radius;
    padding: $space * 10 $space * 20;
    width: 60%;

    @include tablet {
        width: 90%;
    }

    @include phone {
        width: 100%;
        padding: $space * 10 $space * 5;
    }

    h3 {
        font-size: $font-size-xlarge;
        text-align: center;
    }

    .alert {
        margin: $space * 4 0;
        font-size: $font-size-small;
    }

    form {
        display: flex;
        flex-direction: column;

        input {
            margin: $space * 5 0;
        }

        button,
        a[role="button"] {
            margin: $space * 3 auto;
            min-width: $space * 50;
        }
    }
}

.top-rules-auth {
    margin: $space * 20 0;

    .rules-header {
        font-size: $font-size-xxxlarge;
        margin: $space * 10 0;
    }

    .rules-section {
        margin: $space * 4 0;

        .rules-section-header {
            display: flex;
            justify-content: space-between;
            background-color: $color-accent;
            font-size: $font-size-large;
            padding: $space * 2.5 $space * 5;
            border-radius: $border-small-radius;
            cursor: pointer;

            .icon-close {
                display: none;
            }
        }

        .rules-subsection,
        .rules-subsection1 {
            padding: $space * 5 $space * 2.5;
            display: none;

            .rules-subsection-header-text {
                font-size: $font-size-large;
                font-weight: 500;
            }

            .rules-subsection-list {
                li {
                    margin: $space * 2 0;
                }
            }
        }

        &.open {
            .rules-section-header {
                .icon-close {
                    display: block;
                }

                .icon-plus {
                    display: none;
                }
            }

            .rules-subsection,
            .rules-subsection1 {
                display: block;
            }
        }
    }
}
